- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SocketException Class Reference

Inherits IOException.

Inherited by BindException, ClosedChannelException, and ConnectException.

List of all members.

## Detailed Description

Thrown to indicate that there is an error in the underlying protocol, such as a TCP error.

## Public Member Functions
| SocketException (const LogString &msg)
| SocketException (log4cxx_status_t status)
| SocketException (const SocketException &)
SocketException & | operator= (const SocketException &)

## Constructor & Destructor Documentation

SocketException | ( | const LogString & | msg | ) |

SocketException | ( | log4cxx_status_t | status | ) |

SocketException | ( | const SocketException & |  | ) |

## Member Function Documentation

SocketException& operator= | ( | const SocketException & |  | ) |

The documentation for this class was generated from the following file:

- exception.h